The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> strstr - find a substring

#### SYNOPSIS

> ``#include <string.h>
> char *strstr(const char *`s1`, const char *`s2`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The strstr() function shall locate the first occurrence in the string pointed to by s1 of the sequence of bytes (excluding the terminating NUL character) in the string pointed to by s2.

#### RETURN VALUE

> Upon successful completion, strstr() shall return a pointer to the located string or a null pointer if the string is not found.

> If s2 points to a string with zero length, the function shall return s1.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> strchr

> XBD <string.h>

#### CHANGE HISTORY

> First released in Issue 3. Included for alignment with the ANSI C standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]